require 'comune/version'
require 'comune/tampering'
require 'comune/receipt'
require 'comune/generate_token'
require 'active_support/core_ext/module/attribute_accessors'
require 'base64'
require 'uri'
require 'net/http'

module Comune
  mattr_accessor :package_name
  mattr_accessor :subscription_id
  mattr_accessor :license_key
  mattr_accessor :client_id
  mattr_accessor :client_secret
  mattr_accessor :refresh_token

  class << self
    def setup
      yield self
    end

    def verify(receipt_data, signature)
      receipt = Comune::Receipt.new(receipt_data, signature)
      receipt.verify
    end
  end
end
