require 'openssl'

module Comune
  class Tampering
    class << self
      def verify(receipt_data, signature)
        verifier.verify(OpenSSL::Digest::SHA1.new, Base64.decode64(signature), Base64.decode64(receipt_data))
      end

      private

      def verifier
        @verifier ||= OpenSSL::PKey::RSA.new(Base64.decode64(license_key))
      end

      def license_key
        Comune.license_key
      end
    end
  end
end
